如何解决“此表单不安全。因此,系统已关闭自动填充功能。”问题

发布于 2023-08-09  2.13k 次阅读


本文于 2023年8月10日 2:13 更新,注意查看最新内容

前言

博客的评论框不知道什么时候突然显示“此表单不安全。因此,系统已关闭自动填充功能。”,本来也没太在意,今天心血来潮想解决一下(主要有大佬评论,而我回复的时候用到了前台的评论,一些信息不能自动填充觉得麻烦)。

解决

照例搜索一下现成解决方案,哪可能都知道啥问题 :cry:

原因

新版本的chrome浏览器和Edge浏览器等都可能会出现醒目的 HTTP 安全警告。如果访问的 HTTPS 的网页中嵌入了不安全的 HTTP 表单,表单字段下方会有极为醒目的「此表单不安全」文本提示。

——《from表单提醒此表单信息不安全系统自动关闭解决方法》

看到这个讲解,基本就知道问题的根源在哪了,但是因为我博客的评论系统是自建的,而我博客本身已经加了SSL,又开启了强制跳转 HTTPS,正常情况应该不会出现这样的问题。

在继续查找的过程中,我发现了具体的解决方案。

正当我准备更改相应代码时,我发现了评论中一位老哥的话 :grin:

PS:后面我的评论是我改好之后评论的 :!: ……逃~

于是我重读一遍老哥的文章,意识到可能是 WordPress 后台填写的地址问题。

于是一排查,果然没加 HTTPS 请求头。

抱着试一试的想法,将地址从 http://lkblog.net 改成了 https://lkblog.net,然后就成了。

参考

《wordpress此表单不安全,因此,系统已关闭自动填充功能》


这短短的一生,我们最终都会失去。